Get Stations Around
curl --request GET \
--url https://connect.cariqa.com/api/v1/stations/around/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://connect.cariqa.com/api/v1/stations/around/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://connect.cariqa.com/api/v1/stations/around/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": "<string>",
"name": "<string>",
"address": "<string>",
"coordinates": {
"latitude": "<string>",
"longitude": "<string>"
},
"opening_times": {
"twentyfourseven": true,
"regular_hours": [
{
"period_begin": "<string>",
"period_end": "<string>",
"weekday": "MONDAY"
}
]
},
"operator": {
"name": "<string>",
"contact": {
"phone": "<string>"
}
},
"evses": [
{
"evse_id": "<string>",
"status": "AVAILABLE"
}
],
"last_updated": "<string>",
"price_groups": [
{
"type": "<string>",
"power": 123,
"evse_ids": [
"<string>"
],
"prices": {
"time_price": {},
"kwh_price": {},
"blocking_fee": {},
"session_fee": {},
"starting_fee": {},
"session_time_price": {},
"time_price_while_energy_flow": {},
"time_price_while_no_energy_flow": {}
},
"local_datetime": "2023-11-07T05:31:56Z",
"currency": "<string>",
"pre_authorization_amount": "<string>",
"is_fallback": false,
"max_cost": {
"excl_vat": "<string>",
"incl_vat": "<string>"
},
"min_cost": {
"excl_vat": "<string>",
"incl_vat": "<string>"
}
}
],
"operator_name": "<string>",
"location_name": "<string>",
"speed": "slow",
"status": "free",
"amenities": [
"HOTEL"
],
"is_partner": false,
"logo_url": "<string>",
"sold_by": "<string>"
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}{
"detail": "<string>",
"error": {
"type": "validation_error",
"details": "<string>",
"payment_intent_client_secret": "<string>"
}
}{
"detail": "<string>"
}{
"detail": "<string>"
}Stations
Get Stations Around
List stations around
GET
/
api
/
v1
/
stations
/
around
/
Get Stations Around
Authorizations
JWT Authorization header using the Bearer scheme.
Query Parameters
List of connector types to filter stations
CHADEMO- CHADEMODOMESTIC_A- DOMESTIC_ADOMESTIC_B- DOMESTIC_BDOMESTIC_C- DOMESTIC_CDOMESTIC_D- DOMESTIC_DDOMESTIC_E- DOMESTIC_EDOMESTIC_F- DOMESTIC_FDOMESTIC_G- DOMESTIC_GDOMESTIC_H- DOMESTIC_HDOMESTIC_I- DOMESTIC_IDOMESTIC_J- DOMESTIC_JDOMESTIC_K- DOMESTIC_KDOMESTIC_L- DOMESTIC_LIEC_60309_2_single_16- IEC_60309_2_single_16IEC_60309_2_three_16- IEC_60309_2_three_16IEC_60309_2_three_32- IEC_60309_2_three_32IEC_60309_2_three_64- IEC_60309_2_three_64IEC_62196_T1- IEC_62196_T1IEC_62196_T1_COMBO- IEC_62196_T1_COMBOIEC_62196_T2- IEC_62196_T2IEC_62196_T2_COMBO- IEC_62196_T2_COMBOIEC_62196_T3A- IEC_62196_T3AIEC_62196_T3C- IEC_62196_T3CTESLA_R- TESLA_RTESLA_S- TESLA_S
Available options:
CHADEMO, DOMESTIC_A, DOMESTIC_B, DOMESTIC_C, DOMESTIC_D, DOMESTIC_E, DOMESTIC_F, DOMESTIC_G, DOMESTIC_H, DOMESTIC_I, DOMESTIC_J, DOMESTIC_K, DOMESTIC_L, IEC_60309_2_single_16, IEC_60309_2_three_16, IEC_60309_2_three_32, IEC_60309_2_three_64, IEC_62196_T1, IEC_62196_T1_COMBO, IEC_62196_T2, IEC_62196_T2_COMBO, IEC_62196_T3A, IEC_62196_T3C, TESLA_R, TESLA_S Radius to search stations (in meters).
Latitude of the center of the search area.
Longitude of the center of the search area.
Whether to show only available stations
Whether to show only partner stations
List of partner operator names to filter stations
A page number within the paginated result set.
Number of results to return per page.
Was this page helpful?
